astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- asdf v »
- Developer API »
- fill_defaults

# fill_defaults

asdf.schema.fill_defaults(instance, ctx, reading=False)

  For any default values in the schema, add them to the tree if they don’t exist.

  Parameters:
    instance tagged tree
    ctx AsdfFile context

      Used to resolve tags and urls

    reading: bool, optional

      Indicates whether the ASDF file is being read (in contrast to being written).